Home > Could Not > Could Not Configure A Cxx Compiler

Could Not Configure A Cxx Compiler

nickradford commented Aug 5, 2011 Ah, my bad, I missed the line after the code block. We are using cookies to provide statistics that help us give you the best experience of our site. You signed in with another tab or window. perfect !!! « Previous 1 2 Make a Comment Your Name Your E-Mail Wordpress Hashcash needs javascript to work, but your browser has javascript disabled. have a peek at this web-site

Make sure OpenSSL development packages are installed. https://developer.apple.com/ share|improve this answer answered Jun 16 '11 at 22:22 mjamal 9614 I also heard this of a friend of mine using macosx –Alfred Jun 16 '11 at 22:24 If you can figure that out then I suspect your problem will be solved. Not the answer you're looking for? http://stackoverflow.com/questions/3329355/how-to-compile-install-node-jscould-not-configure-a-cxx-compiler-ubuntu

I installed Cygwin (as per the Github instructions) which appears to have been installed correctly. Collaborator ncb000gt commented Jun 2, 2012 You need to install the cli tools. current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list.

share|improve this answer answered Apr 19 '11 at 3:35 Jeremy Battle 1,4931116 add a comment| up vote 3 down vote At first, i tried it your way too, using Cygwin. Collaborator ncb000gt commented Aug 5, 2011 All good. Apologies I am an Arch user and thought it was all there. Why do manufacturers detune engines?

However, none of the commands are executing. up vote 70 down vote favorite 25 How can I compile/install node.js on Ubuntu? It appears that we had not installed all the relevant files related to Cygwin. Let me know how it goes and if there is anything I can do to help.

For reference. linux ubuntu compilation install node.js share|improve this question edited Aug 31 '12 at 19:36 asked Jul 25 '10 at 13:32 Alfred 39.6k19114151 Why did I get a downvote? –Alfred The source code is available at http://nodejs.org/#download, as of this writing it is http://nodejs.org/dist/v0.6.2/node-v0.6.2.tar.gz.First, let's create a temporary directory where we can download the source code and do the compiling.$ mkdir Browse other questions tagged windows node.js cygwin or ask your own question.

Before running ./configure you have to: Close all cygwin apps. share|improve this answer answered Dec 25 '10 at 9:35 Nicholas Blumhardt 14.6k13848 1 I think you should make this a separate topic if it does not exist. We recommend upgrading to the latest Safari, Google Chrome, or Firefox. Were defendants at the Nuremberg trial allowed to deny the holocaust?

node-v0.6.2/wscript:366: error: Could not autodetect OpenSSL support. Check This Out Your comment will be queued in Akismet! Hide this message.QuoraSign InQuora uses cookies to improve your experience. nickradford commented Aug 5, 2011 You have to install XCode.

I'm unsure of which version would be required as I do most dev in Linux and then attempt to check things on the Mac. Related to this post Nodejs Error: Could not autodetect OpenSSL support How to install Node.js on Ubuntu Linux Install MongoDB on Ubuntu Node.js compilation error on Ubuntu - Install using apt-get do i have to install gcc separately? http://awendigital.com/could-not/could-not-configure-a-cxx-compiler-ubuntu.html Confirm it with:$ node -vv0.6.2Now that you have installed Node.js, it's time to install npm to manage Node packages.$ curl http://npmjs.org/install.sh | sudo shOnce you have installed npm, confirm it's working.

Thanks ! Terms Privacy Security Status Help You can't perform that action at this time. Compiling?1Installation of boost on Linux/Ubuntu184Install Node.js on Ubuntu 12.10350Cannot install packages using node package manager in Ubuntu905Node.js/Windows error: ENOENT, stat 'C:\Users\RT\AppData\Roaming\npm'-1How to configure partitions for installing ubuntu parallel to windows Hot

Just cd to the directory and do this: npm install socket.io It is recommended to install Express as a global module: nom install express -g Hope that helps.

Why jitter continuous value in a scatterplot? Good luck! What was actually missing was this: gcc-c++. Use configure --without-ssl to disable this message....

Related 1267How do I get started with Node.js1Problems building node.js on Cygwin, please help0Installing node.js on Windows cygwin error15Cygwin vs Linux Virtual Machine for Development?2NVM fails to install any version of Then used ./rebaseall –DMan Aug 28 '11 at 3:15 add a comment| up vote 6 down vote If you find yourself getting this error on Mac OSX, you need to install https://launchpad.net/~chris-lea/+archive/node.js/ share|improve this answer answered Feb 21 '13 at 22:10 nolazybits 302115 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using Google have a peek here http://node-js.prcn.co.cc/ This way you actually don't need to bother with Cygwin.

What is the problem?UpdateCancelCan you answer this question?AnswerAnswer WikiView More AnswersRelated QuestionsHow do you use Custom Objects in Xcode 4?Why do some people prefer Macs over PCs running Linux?How do you share|improve this answer answered Dec 28 '11 at 23:07 K. Browse other questions tagged linux ubuntu compilation install node.js or ask your own question. On Friday, June 1, 2012 at 11:30 PM, Nick Campbell wrote: You need to install the cli tools.

Explain it to me like I'm a physics grad: Greenhouse Effect Append bash output to vim buffer What to do when using your private key from another computer?